/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/core/context.hpp>

namespace nostalgia::core {

struct GbaContext: public core::Context {

	turbine::Context const*turbineCtx = nullptr;

	explicit GbaContext(turbine::Context *tctx) noexcept;

	[[nodiscard]]
	auto const&rom() const noexcept {
		return *turbine::rom(*turbineCtx);
	}

};

}